> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate nodes

> Validate orchestration nodes



## OpenAPI

````yaml https://api.getcargo.io/openapi.json post /orchestration/nodes/validate
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /orchestration/nodes/validate:
    post:
      tags:
        - Orchestration - Nodes
      summary: Validate nodes
      description: Validate orchestration nodes
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                nodes:
                  type: array
                  items:
                    allOf:
                      - type: object
                        properties:
                          uuid:
                            type: string
                            format: uuid
                            pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                          slug:
                            type: string
                            pattern: ^\w+$
                          name:
                            type: string
                          config:
                            type: object
                            propertyNames:
                              type: string
                            additionalProperties: {}
                          description:
                            type: string
                          retry:
                            type: object
                            properties:
                              maximumAttempts:
                                type: number
                              initialInterval:
                                type: number
                              backoffCoefficient:
                                type: number
                          childrenUuids:
                            type: array
                            items:
                              anyOf:
                                - type: string
                                - type: 'null'
                          fallbackChildUuid:
                            type: string
                          fallbackOnFailure:
                            type: boolean
                          position:
                            type: object
                            properties:
                              x:
                                type: number
                              'y':
                                type: number
                            required:
                              - x
                              - 'y'
                        required:
                          - uuid
                          - slug
                          - config
                          - childrenUuids
                          - fallbackOnFailure
                          - position
                      - anyOf:
                          - type: object
                            properties:
                              kind:
                                type: string
                                enum:
                                  - native
                              actionSlug:
                                type: string
                            required:
                              - kind
                              - actionSlug
                          - type: object
                            properties:
                              kind:
                                type: string
                                enum:
                                  - connector
                              connectorUuid:
                                type: string
                              integrationSlug:
                                type: string
                              actionSlug:
                                type: string
                            required:
                              - kind
                              - integrationSlug
                              - actionSlug
                          - type: object
                            properties:
                              kind:
                                type: string
                                enum:
                                  - tool
                              toolUuid:
                                type: string
                              templateSlug:
                                type: string
                              releaseUuid:
                                type: string
                              waitUntilFinished:
                                type: boolean
                            required:
                              - kind
                          - type: object
                            properties:
                              kind:
                                type: string
                                enum:
                                  - agent
                              agentUuid:
                                type: string
                              templateSlug:
                                type: string
                              releaseUuid:
                                type: string
                              waitUntilFinished:
                                type: boolean
                            required:
                              - kind
                  title: Nodes
                  description: Array of nodes to validate.
              required:
                - nodes
              additionalProperties: false
              title: Request body
              description: Request body schema.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  outcome:
                    type: string
                    const: valid
                    title: Outcome
                    description: Validation outcome.
                required:
                  - outcome
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````